Bug 145037 - udev_t vs. /lib/modules
udev_t vs. /lib/modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 16:29 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 13:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-01-13 16:29:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
audit(1105622941.124:0): avc:  denied  { search } for  pid=1326
exe=/bin/bash name=modules dev=dm-0 ino=113572
scontext=system_u:system_r:udev_t
tcontext=system_u:object_r:modules_object_t tclass=dir

audit(1105622941.124:0): avc:  denied  { read } for  pid=1326
exe=/bin/bash name=modules.inputmap dev=dm-0 ino=359891
scontext=system_u:system_r:udev_t tcontext=root:object_r:modules_dep_t
tclass=file

audit(1105622941.125:0): avc:  denied  { ioctl } for  pid=1326
exe=/bin/bash path=/lib/modules/2.6.10-1.1087_FC4/modules.inputmap
dev=dm-0 ino=359891 scontext=system_u:system_r:udev_t
tcontext=root:object_r:modules_dep_t tclass=file

audit(1105648144.265:0): avc:  denied  { read } for  pid=1573
exe=/bin/bash name=modules.ieee1394map dev=dm-0 ino=359889
scontext=system_u:system_r:udev_t tcontext=root:object_r:modules_dep_t
tclass=file

audit(1105648144.266:0): avc:  denied  { ioctl } for  pid=1573
exe=/bin/bash path=/lib/modules/2.6.10-1.1087_FC4/modules.ieee1394map
dev=dm-0 ino=359889 scontext=system_u:system_r:udev_t
tcontext=root:object_r:modules_dep_t tclass=file

audit(1105648144.468:0): avc:  denied  { search } for  pid=1682
exe=/bin/bash name=usb dev=dm-0 ino=1168170
scontext=system_u:system_r:udev_t
tcontext=system_u:object_r:hotplug_var_run_t tclass=dir

audit(1105648157.118:0): avc:  denied  { execute } for  pid=2204
exe=/bin/bash name=fixdep dev=dm-0 ino=503138
scontext=system_u:system_r:sysadm_t
tcontext=system_u:object_r:modules_object_t tclass=file

audit(1105648157.118:0): avc:  denied  { execute_no_trans } for 
pid=2204 exe=/bin/bash
path=/lib/modules/2.6.10-1.1087_FC4/build/scripts/basic/fixdep
dev=dm-0 ino=503138 scontext=system_u:system_r:sysadm_t
tcontext=system_u:object_r:modules_object_t tclass=file



Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.1-1

How reproducible:
Always

Steps to Reproduce:
1. Boot with strict policy

Additional info:
Comment 1 Ivan Gyurdiev 2005-01-18 17:59:32 EST
audit(1106088150.134:0): avc:  denied  { search } for  pid=2271
exe=/bin/bash name=modules dev=dm-0 ino=113572
scontext=system_u:system_r:udev_t
tcontext=system_u:object_r:modules_object_t tclass=dir


confirmed in enforcing mode.

In addition:

audit(1106088147.718:0): avc:  denied  { search } for  pid=1858
exe=/bin/bash name=usb dev=dm-0 ino=1168170
scontext=system_u:system_r:udev_t
tcontext=system_u:object_r:hotplug_var_run_t tclass=dir

seems related.




Note You need to log in before you can comment on or make changes to this bug.